/* GCompris - Data.qml
 *
 * SPDX-FileCopyrightText: 2020 Shubham Mishra <email.shivam828787@gmail.com>
 *
 * Authors:
 *   shivam828787@gmail.com <email.shivam828787@gmail.com>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 */
import core 1.0

Data {
    objective: qsTr("Maximum 30 pieces of candy and 6 kids, possible rest.")
    difficulty: 5
    // NOTE: don't put maxBoys or maxGirls less than 1,
    // and don't make maxBoys + maxGirls more than maximum kids (6 here)
    data:  [
        [
            {
                "randomisedInputData": true,
                "maxBoys": 1,
                "maxGirls": 3,
                "maxCandies": 6,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 10,
                "alreadyPlaced": true
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 12,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 16,
                "alreadyPlaced": true
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 16,
                "alreadyPlaced": false
            }
        ],
        [
            {
                "randomisedInputData": true,
                "maxBoys": 1,
                "maxGirls": 3,
                "maxCandies": 6,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 10,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 14,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 16,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 18,
                "alreadyPlaced": false
            }
        ],
        [
            {
                "randomisedInputData": true,
                "maxBoys": 1,
                "maxGirls": 4,
                "maxCandies": 10,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 3,
                "maxCandies": 14,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 3,
                "maxGirls": 2,
                "maxCandies": 18,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 3,
                "maxCandies": 22,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 26,
                "alreadyPlaced": false
            }
        ],
        [
            {
                "randomisedInputData": true,
                "maxBoys": 1,
                "maxGirls": 3,
                "maxCandies": 10,
                "alreadyPlaced": true
            },
            {
                "randomisedInputData": true,
                "maxBoys": 2,
                "maxGirls": 2,
                "maxCandies": 14,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 3,
                "maxGirls": 3,
                "maxCandies": 18,
                "alreadyPlaced": true
            },
            {
                "randomisedInputData": true,
                "maxBoys": 3,
                "maxGirls": 3,
                "maxCandies": 22,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 3,
                "maxGirls": 3,
                "maxCandies": 26,
                "alreadyPlaced": false
            }
        ],
        [
            {
                "randomisedInputData": true,
                "maxBoys": 1,
                "maxGirls": 5,
                "maxCandies": 12,
                "alreadyPlaced": true
            },
            {
                "randomisedInputData": true,
                "maxBoys": 3,
                "maxGirls": 3,
                "maxCandies": 16,
                "alreadyPlaced": true
            },
            {
                "randomisedInputData": true,
                "maxBoys": 3,
                "maxGirls": 3,
                "maxCandies": 20,
                "alreadyPlaced": true
            },
            {
                "randomisedInputData": true,
                "maxBoys": 3,
                "maxGirls": 3,
                "maxCandies": 24,
                "alreadyPlaced": false
            },
            {
                "randomisedInputData": true,
                "maxBoys": 3,
                "maxGirls": 3,
                "maxCandies": 30,
                "alreadyPlaced": true
            }
        ]
    ]
}
